Summary: Frame Relay support tools for Linux
Name: frad
Version: 0.20
Release: 1
Source: ftp://ftp.invlogic.com/pub/linux/fr/frad-0.20.tgz
Copyright: GNU GPL
Group: Networking/Admin
Packager: Michael McLagan <mmclagan@invlogic.com>
Buildroot: /var/tmp/frad

%description
Tools to configure the DLCI interfaces used for Frame Relay traffic.  Also
included is an extensible utility for configuring Frame Relay Access Devices,
or FRADs.  The tool currently has configuration for the Sangoma Tech SDLA
cards.  Other vendors are welcome to contribute their configuration modules
to the program.

%prep
%setup

%build
cd src
make clean; make

%install
mkdir -p $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
mkdir -p sbin usr/lib/frad etc/rc.d/init.d etc/sysconfig/network-scripts
mkdir -p etc/rc.d/rc0.d etc/rc.d/rc1.d etc/rc.d/rc2.d
mkdir -p etc/rc.d/rc3.d etc/rc.d/rc5.d etc/rc.d/rc6.d
cd -
install -m755 src/dlcicfg src/fradcfg $RPM_BUILD_ROOT/sbin
install -m644 lib/calib502.sfm lib/fr502.sfm $RPM_BUILD_ROOT/usr/lib/frad
install -m644 lib/fr508.sfm $RPM_BUILD_ROOT/usr/lib/frad
install -m755 scripts/frad $RPM_BUILD_ROOT/etc/rc.d/init.d/frad
install -m755 scripts/ifup-dlci $RPM_BUILD_ROOT/etc/sysconfig/network-scripts
ln -sf ../init.d/frad $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K98frad
ln -sf ../init.d/frad $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K98frad
ln -sf ../init.d/frad $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S08frad
ln -sf ../init.d/frad $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S08frad
ln -sf ../init.d/frad $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S08frad
ln -sf ../init.d/frad $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K98frad

%clean
rm -rf $RPM_BUILD_ROOT

%files
/sbin/dlcicfg
/sbin/fradcfg
/usr/lib/frad/calib502.sfm
/usr/lib/frad/fr502.sfm
/usr/lib/frad/fr508.sfm

%dir /usr/lib/frad
%config /etc/rc.d/init.d/frad
%config /etc/sysconfig/network-scripts/ifup-dlci
%config(missingok) /etc/rc.d/rc0.d/K98frad
%config(missingok) /etc/rc.d/rc1.d/K98frad
%config(missingok) /etc/rc.d/rc2.d/S08frad
%config(missingok) /etc/rc.d/rc3.d/S08frad
%config(missingok) /etc/rc.d/rc5.d/S08frad
%config(missingok) /etc/rc.d/rc6.d/K98frad

%doc COPYING README INSTALL 
%doc conf/frad.conf.s502 conf/frad.conf.s508 conf/ifcfg-dlci00
%doc scripts/fr-up scripts/fr-down
